name: tboss_oa_module
description: "TBOSS OA Flutter module."
version: 1.0.0+1

environment:
  sdk: ^3.10.9

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  flutter_riverpod: ^2.6.1
  riverpod_annotation: ^2.6.1
  go_router: ^14.8.1
  dio: ^5.7.0
  json_annotation: ^4.9.0
  intl: ^0.20.2
  fl_chart: ^0.69.2
  easy_refresh: ^3.4.0
  flutter_swiper_null_safety: ^1.0.2
  tdesign_flutter: ^0.2.7

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.13
  json_serializable: ^6.9.4
  riverpod_generator: ^2.6.3

flutter:
  uses-material-design: true
  assets:
    - assets/img/
    - assets/i18n/
  module:
    androidX: true
    androidPackage: com.amtxts.tboss_oa_module
    iosBundleIdentifier: com.amtxts.tbossOaModule
